eurephia_init(7)

NAME
eurephia_init - Initialisation utility for the eurephia OpenVPN plug-in.

SYNOPSIS
eurephia_init [\-V|\-\-version] [-h|--help] [\-l|\-\-log <filename>] [\-L|\-\-log\-level <log level>] [\-N|\-\-hash\-threshold\-min <ms>] [\-M|\-\-hash\-threshold\-max <ms>] [\-D|--database-driver <path>] [\-d|\-\-database-args <args>]

DESCRIPTION
This utility is only supposed to be used when installing eurephia. The purpose is to initialise the database eurephia will use, by setting up some standard configuration values and create an administrator account

OPTIONS
Arguments used by eurephia_init:

-V | --version
    Show version information

-h | --help
    This help screen

-l | --log <filename>
    Log file for debugging

-L | --log-level <log level>
    Sets the log level

-N | --hash-threshold-min <ms> : Benchmarking parameter, see below. Default 95ms

-M | --hash-threshold-max <ms> : Benchmarking parameter, see below. Default 200ms

-D | --database-driver <full path>
    Full path to the database driver (Required)

-d | --database-args <arguments>
    Required database arguments for the driver (Required)

BENCHMARKING

During the initialisation this utility will benchmark the CPU power by doing multiple SHA512 hash calculations.  This is to determinate the optimal rounds the password hashes should use on the current computer.  To make it more difficult to brute force passwords, eurephia implements dynamic password hash rounds, based on a random number within in a given range.  This benchmark will suggest an optimal range.  To do this, two limits are defined, the shortest time and the longest time to be used for calculating a hash.  The default values are 95ms and 200ms.

If you want to modify those thresholds, you can do so with the --hash-threshold-min and --hash-threshold-max options.  By increasing these numbers, you will allow the number of rounds to be increased.

AUTHOR
Copyright (C) 2009-2012 David Sommerseth <dazo@users.sourceforge.net>